Package com.avaya.clientservices.user

## Class ServiceStatus

- java.lang.Object
- - com.avaya.clientservices.user.ServiceStatus

-     public class ServiceStatus
      extends java.lang.Object

  A class representing whether a certain service is enabled based on the current user configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ServiceStatus.DisabledReason` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceStatus()` | Default constructor.
    `ServiceStatus​(ServiceStatus.DisabledReason reason)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object object)` | Returns whether two objects are equal or not
    `ServiceStatus.DisabledReason` | `getDisabledReason()` | Returns the reason for service not being enabled.
    `int` | `hashCode()` | Returns hash code associated with the object instance.
    `boolean` | `isEnabled()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceStatus

          public ServiceStatus()

      Default constructor.

    - #### ServiceStatus

          public ServiceStatus​(ServiceStatus.DisabledReason reason)

      Constructor.
      Parameters:
        `reason` - Reason for why the capability this object is associated with is not available for use.

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        Whether the associated service is enabled

    - #### getDisabledReason

          public ServiceStatus.DisabledReason getDisabledReason()

      Returns the reason for service not being enabled. Calling this method when isEnabled() returns true is not useful. In this case, the method returns DisabledReason.NONE.
      Returns:
        Reason for not enabling the associated service.

    - #### equals

          public boolean equals​(java.lang.Object object)

      Returns whether two objects are equal or not
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `object` - Input object
      Returns:
        true of the objects are equal; false, otherwise.

    - #### hashCode

          public int hashCode()

      Returns hash code associated with the object instance.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hash code value.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`